Subject: bug#1157: closed (Re: bug#1157: Window size problems)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 10 Apr 2016 22:34:02 +0000

Your bug report

#1157: Window size problems

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
1157: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1157
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#1157: Window size problems
From: Alan Third <[email-masked]>
To: Andrew Hyatt <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 10 Apr 2016 23:33:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Andrew Hyatt <[email-masked]> writes:

> Hi tk,
>
> I've been trying to reproduce various older bugs, but I cannot reproduce
> yours due to the lack of your two monitor setup. Do you still see this
> problem on emacs 25?

13 week with no response. I'm closing this report.
-- 
Alan Third

>From [email-masked] Mon Oct 13 02:35:12 2008
From: [email-masked]
Date: Mon, 13 Oct 2008 11:34:45 +0200
To: [email-masked]
Subject: Window size problems

I have a two screen solution where my lap top is left and a external
screen is right it starts from 1440.

0. I can not make the following work in .Xresources
emacs.geometry:80x64+1440

1. If I have my current emacs in the right screen and do=20
(setq default-frame-alist '((width . 80) (height . 64)))
a new frame opens in the right screen but width size 80 x 50. =20

2. If I do
(setq default-frame-alist '((top . 0) (left . 0) (width . 80) (height . 6=
4)))
I get a frame in the left screen size 80 x 50.

Now 80 x 50 is the maximum size in the left window which I get there
with height >=3D 50.

3. If instead I do
(setq default-frame-alist '((top . 0) (left . 1440) (width . 80) (height =
. 64)))
the frame opens in the right window with the right size.

So it seems that if my current emacs is in the right screen a new
frame opens there but limited to the max size according to the screen
at left i.e.  (top . 0) (left . 0).

Now I think my problem is solved.  However, maybee this is not
intentionally but a bug?

In GNU Emacs 22.1.1 (i486-pc-linux-gnu, GTK+ Version 2.12.9)
 of 2008-05-03 on terranova, modified by Ubuntu
Windowing system distributor `The X.Org Foundation', version 11.0.1040009=
0
configured using `configure  '--build=3Di486-linux-gnu' '--host=3Di486-li=
nux-gnu' '--prefix=3D/usr' '--sharedstatedir=3D/var/lib' '--libexecdir=3D=
/usr/lib' '--localstatedir=3D/var' '--infodir=3D/usr/share/info' '--mandi=
r=3D/usr/share/man' '--with-pop=3Dyes' '--enable-locallisppath=3D/etc/ema=
cs22:/etc/emacs:/usr/local/share/emacs/22.1/site-lisp:/usr/local/share/em=
acs/site-lisp:/usr/share/emacs/22.1/site-lisp:/usr/share/emacs/site-lisp:=
/usr/share/emacs/22.1/leim' '--with-x=3Dyes' '--with-x-toolkit=3Dgtk' 'bu=
ild_alias=3Di486-linux-gnu' 'host_alias=3Di486-linux-gnu' 'CFLAGS=3D-DDEB=
IAN -DSITELOAD_PURESIZE_EXTRA=3D5000 -g -O2' 'LDFLAGS=3D-g -Wl,--as-neede=
d' 'CPPFLAGS=3D''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8
  default-enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  delete-selection-mode: t
  gnus-topic-mode: t
  gnus-undo-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
r i g t C-a C-c C-z C-x C-o C-c C-c ! m t b a <tab>=20
C-c C-f C-s B r u s s e l SPC t u r C-b C-b C-b C-b=20
C-b C-b C-b C-b M-x M-p M-p M-p <return> <down-mouse-1>=20
<mouse-1> <down-mouse-1> <mouse-1> s C-c C-b T h o=20
m a s <return> <return> D i a n a SPC s i g e r SPC=20
d u SPC h a r SPC e n SPC b i l l e t SPC t i l SPC=20
2 1 - 2 6 SPC n <backspace> O k t o b e r . SPC SPC=20
M =F8 d e t SPC e r SPC v e l SPC 2 0 - 2 1 SPC O k t=20
o b e r . SPC SPC H v a d SPC m e d SPC h o t e l .=20
SPC SPC K a n SPC d u SPC i k k e SPC r i n g e SPC=20
t i l SPC D i a n a SPC e l l e r SPC m i g ? M-b M-b=20
M-b M-b M-b M-b M-b M-b M-b M-f , SPC h a r SPC d u=20
SPC f u n d e t SPC n o g e t ? M-q C-c C-f C-c d i=20
a n a <tab> C-c C-c n R <return> M-e <down-mouse-1>=20
<mouse-1> <return> <return> G o d t SPC l =F8 b e t C-c=20
C-z C-c C-c n <help-echo> <help-echo> <help-echo> <help-echo>=20
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>=20
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>=20
<help-echo> n n n g n <return> ! m C-x k <return> n=20
! SPC q <help-echo> <help-echo> <help-echo> <help-echo>=20
<help-echo> <help-echo> <menu-bar> <help-menu> <re
port-emacs-bug>

Recent messages:
Retrieving newsgroup: nnimap+AUC:INBOX.mbox-out...
nnimap: Updating info for nnimap+AUC:INBOX.mbox-out...done
Fetching headers for nnimap+AUC:INBOX.mbox-out...done
Suppressing duplicates...done
Generating summary...done
Expiring articles...done
nnimap: Setting marks in INBOX.mbox-out...done
nnimap: Setting marks in INBOX.mbox-out...done
No more unread newsgroups
Loading emacsbug...done